from __future__ import absolute_import
from django_celery_beat.models import PeriodicTask, CrontabSchedule


def make_periodic_task(job_id, data):
    schedule, _ = CrontabSchedule.objects.get_or_create(**data)
    task = PeriodicTask.objects.create(
        crontab=schedule,
        name='Task for job {}'.format(job_id),
        task='scraper.tasks.run_job',
        args=[job_id]
    )
    return task


def update_schedule(data):
    schedule, _ = CrontabSchedule.objects.get_or_create(**data)
    return schedule
